project-lakitu: Update docker-proxy to upstream

BUG=b/176912333
TEST=presubmit
RELEASE_NOTE=Updated docker-proxy to v0.8.0_p20201215.

Change-Id: I60a5e1277db56800882764b2a32b58aebbf0dcc8
Reviewed-on: https://cos-review.googlesource.com/c/cos/overlays/board-overlays/+/10802
Reviewed-by: Varsha Teratipally <teratipally@google.com>
Reviewed-by: Roy Yang <royyang@google.com>
Tested-by: Cusky Presubmit Bot <presubmit@cos-infra-prod.iam.gserviceaccount.com>
diff --git a/project-lakitu/app-emulation/docker-proxy/Manifest b/project-lakitu/app-emulation/docker-proxy/Manifest
index cbd11db..5092e19 100644
--- a/project-lakitu/app-emulation/docker-proxy/Manifest
+++ b/project-lakitu/app-emulation/docker-proxy/Manifest
@@ -1 +1 @@
-DIST docker-proxy-0.8.0_p20190513.tar.gz 2705298 BLAKE2B ff897b18b8265b3d718caf7afaf10f7b8eeed9be0cc9c73b02d5c42c5c9ddd1be32cf7d1259ce26d56219cda57707e25e154e50cfa2cc80e823a4b924da4e5e0 SHA512 0a833510df0029999bfc05c23445a58a8b2ff165c0fb2fd5c411498d1e89b5b1990d2778b32346dd2b6d61c166ff707c6277a5d1937db6345c77d3825eb59875
+DIST docker-proxy-0.8.0_p20201215.tar.gz 3152956 BLAKE2B 7652bbc027d0cc535c227268bf240132f070dad477ac5a8b82f65d3d3ecf7c2a036a45ba66d0f3f0f0a8025fb990e931429d797f4b9f7c6796507ffd2f41e358 SHA512 dd583218fbeba8aeac2e4143369ad55a3e6c15d64f198f73e3656a80d0281a4374fb3be7bc05b01425461bf830762aa2c950da68ed0e3ae5884643e9d178c69e
diff --git a/project-lakitu/app-emulation/docker-proxy/docker-proxy-0.8.0_p20190513-r1.ebuild b/project-lakitu/app-emulation/docker-proxy/docker-proxy-0.8.0_p20190513-r1.ebuild
deleted file mode 120000
index 51271ad..0000000
--- a/project-lakitu/app-emulation/docker-proxy/docker-proxy-0.8.0_p20190513-r1.ebuild
+++ /dev/null
@@ -1 +0,0 @@
-docker-proxy-0.8.0_p20190513.ebuild
\ No newline at end of file
diff --git a/project-lakitu/app-emulation/docker-proxy/docker-proxy-0.8.0_p20190513.ebuild b/project-lakitu/app-emulation/docker-proxy/docker-proxy-0.8.0_p20190513.ebuild
deleted file mode 100644
index 5ff3a5c..0000000
--- a/project-lakitu/app-emulation/docker-proxy/docker-proxy-0.8.0_p20190513.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit eutils golang-base
-
-EGO_PN="github.com/docker/libnetwork"
-
-if [[ ${PV} == *9999 ]]; then
-	inherit golang-vcs
-else
-	EGIT_COMMIT="e7933d41e7b206756115aa9df5e0599fc5169742"
-	SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="*"
-	inherit golang-vcs-snapshot
-fi
-
-DESCRIPTION="Docker container networking"
-HOMEPAGE="https://github.com/docker/libnetwork"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-IUSE=""
-
-S=${WORKDIR}/${P}/src/${EGO_PN}
-
-RESTRICT="test" # needs dockerd
-
-src_compile() {
-	export GOTRACEBACK="crash"
-	GO=$(tc-getGO)
-	export GO
-	GOPATH="${WORKDIR}/${P}" ${GO} build -o "bin/docker-proxy" ./cmd/proxy || die
-}
-
-src_install() {
-	dodoc ROADMAP.md README.md CHANGELOG.md
-	dobin bin/docker-proxy
-}
diff --git a/project-lakitu/app-emulation/docker-proxy/docker-proxy-0.8.0_p20201215-r1.ebuild b/project-lakitu/app-emulation/docker-proxy/docker-proxy-0.8.0_p20201215-r1.ebuild
new file mode 120000
index 0000000..cfca9ca
--- /dev/null
+++ b/project-lakitu/app-emulation/docker-proxy/docker-proxy-0.8.0_p20201215-r1.ebuild
@@ -0,0 +1 @@
+docker-proxy-0.8.0_p20201215.ebuild
\ No newline at end of file
diff --git a/project-lakitu/app-emulation/docker-proxy/docker-proxy-0.8.0_p20201215.ebuild b/project-lakitu/app-emulation/docker-proxy/docker-proxy-0.8.0_p20201215.ebuild
new file mode 100644
index 0000000..75154dd
--- /dev/null
+++ b/project-lakitu/app-emulation/docker-proxy/docker-proxy-0.8.0_p20201215.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+EGO_PN="github.com/docker/libnetwork"
+
+inherit eutils
+
+if [[ ${PV} == *9999 ]]; then
+	inherit golang-vcs
+else
+	EGIT_COMMIT=fa125a3512ee0f6187721c88582bf8c4378bd4d7
+	SRC_URI="https://github.com/docker/libnetwork/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="*"
+	inherit golang-vcs-snapshot
+fi
+
+DESCRIPTION="Docker container networking"
+HOMEPAGE="https://github.com/docker/libnetwork"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+S=${WORKDIR}/${P}/src/${EGO_PN}
+
+# needs dockerd
+RESTRICT="strip test"
+
+src_compile() {
+	# lakitu: cause Go panics to segfault, causing core dump collection of the
+	# process.
+	export GOTRACEBACK="crash"
+	# lakitu: use the Go cross-compiler
+	GOPATH="${WORKDIR}/${P}" "$(tc-getGO)" build -o "bin/docker-proxy" ./cmd/proxy || die
+}
+
+src_install() {
+	dodoc README.md CHANGELOG.md
+	dobin bin/docker-proxy
+}